function validateForm() {
  // This function deals with validation of the form fields
  
  var x, y, i, valid = true;
  if (currentTab == 0){//اعتبار سنجی فقط برای تب اول
	  x = document.getElementsByClassName("tab");
	  y = x[currentTab].getElementsByTagName("input");
	  // A loop that checks every input field in the current tab:
	  for (i = 0; i < y.length; i++) {
		// If a field is empty...
		if (y[i].value == "") {
		   //add an "invalid" class to the field:
		  
		  y[i].className += " invalid";
		  
		  
		  // and set the current valid status to false:
		  valid = false;
		}
	  }
	  
	  //برای فیلد های سلکت
	  jQuery('#car_toll_first_tab select').each(function(){
		  // this.value;
		  if( jQuery(this).val() == '' ||  !jQuery(this).val() ) {
			  jQuery(this).addClass("invalid");
			  valid = false;
		  } 
		});
	  
  }
  // If the valid status is true, mark the step as finished and valid:
  if (valid) {
	  //مارکر مراحل فرم 
	  //if(document.getElementsByClassName("step")[currentTab]){
		//	document.getElementsByClassName("step")[currentTab].className += " finish";
	  //}
  }
  return valid; // return the valid status
}

	





function hmct_get_from_api() {
	
	jQuery("#hm_car_toll_model_input").attr('disabled', 'disabled');
	jQuery("#hm_car_toll_year_input").attr('disabled', 'disabled');
	jQuery("#hm_car_toll_model_type_input").attr('disabled', 'disabled');
	
    jQuery.ajax({
        type: "get",
		method: "GET",
		//url: "https://manageweb.ir/p/hamrah/wp-json/vehicle/get_all_vehicle_makers/1",//mohebi api
		url: "https://crmapi.hamrah-mechanic.com/api/GetAllVehicleMakers",
		headers: {
			'UserName':'get_user',
			'Password':'@getter',
		},
		contentType: "application/json; charset=utf-8",
		dataType: "json",
        beforeSend: function() {
			jQuery('.hmct_loading').show();
			jQuery('.hmct_loading').css('display','inline-block');
        }, 
		error: function(request, status, error) {
			jQuery('.hmct_loading').hide();
			console.log(request);
			console.log(status);
			console.log(error);
		},
        success: function(response) {
			jQuery('.hmct_loading').hide();
			
			//console.log(JSON.parse(response));
			response = response.sort(function (a, b) {
				return a.MakerName.localeCompare( b.MakerName );
			});
			all_vehicle_makers = response;
			
			//all_vehicle_makers = JSON.parse(response);
			jQuery.each(all_vehicle_makers, function(key, value) {
				var new_option = '<option  value=' + value['MakerCode'] + ' id="'+ value['MakerGuid'] +'" >' + value['MakerName'] + '</option>';
				jQuery("#hm_car_toll_maker_input").append(new_option);
			});
			
			
			
        }
    });
}
jQuery("#hm_car_toll_maker_input").live("change", function(){
	
	 var maker_guid = jQuery('#hm_car_toll_maker_input option:selected').attr('id');
	//var id = jQuery(this).find("option:selected").attr("value");
	jQuery("#hm_car_toll_model_input").attr('disabled', 'disabled');
	jQuery('#hm_car_toll_model_input').find('option').remove().end().append('<option value="" disabled selected>انتخاب کنید</option>');
	jQuery("#hm_car_toll_year_input").attr('disabled', 'disabled');
	jQuery('#hm_car_toll_year_input').find('option').remove().end().append('<option value="" disabled selected>انتخاب کنید</option>');
	jQuery("#hm_car_toll_model_type_input").attr('disabled', 'disabled');
	jQuery('#hm_car_toll_model_type_input').find('option').remove().end().append('<option value="" disabled selected>انتخاب کنید</option>');
	var id = jQuery('#hm_car_toll_maker_input').val();
	//console.log(maker_guid);
	
	//var get_models_url = "https://manageweb.ir/p/hamrah/wp-json/vehicle/get_vehicle_models_by_maker/";//mohebi api
	var get_models_url = "https://crmapi.hamrah-mechanic.com/api/GetVehicleModels?MakerGuid=";
	get_models_url = get_models_url + maker_guid;
	jQuery.ajax({
		type: "get",
		method: "GET",
		headers: {
			'UserName':'get_user',
			'Password':'@getter',
		},
		url: get_models_url ,
		//data: '{MakerID: ' + id + '}',
		contentType: "application/json; charset=utf-8",
		dataType: "json",
        beforeSend: function() {
			jQuery('.hmct_loading').show();
			jQuery('.hmct_loading').css('display','inline-block');
        }, 
		error: function(request, status, error) {
			jQuery('.hmct_loading').hide();
			console.log(request);
			console.log(status);
			console.log(error);
		},
        success: function(response) {
			jQuery('.hmct_loading').hide();
			//console.log(response);
			jQuery("#hm_car_toll_model_input").empty();
			jQuery("#hm_car_toll_model_input").append('<option value="" disabled selected>انتخاب کنید</option>');
			
			vehicle_models = response;//convert string to obj
			response = response.sort(function (a, b) {
				return a.ModelName.localeCompare( b.ModelName );
			});
			//var vehicle_models = JSON.parse(response);//convert string to obj
			
			jQuery.each(vehicle_models, function(key, value) {
				var new_option = '<option  value=' + value['ModelCode'] + ' id="'+ value['ModelGuid'] +'" >' + value['ModelName'] + '</option>';
				jQuery("#hm_car_toll_model_input").append(new_option);
			});
			jQuery("#hm_car_toll_model_input").removeAttr('disabled');
			
			
        }
    });
	
});

jQuery("#hm_car_toll_model_input").live("change", function(){
	
	var model_guid = jQuery('#hm_car_toll_model_input option:selected').attr('id');
	jQuery("#hm_car_toll_year_input").attr('disabled', 'disabled');
	jQuery('#hm_car_toll_year_input').find('option').remove().end().append('<option value="" disabled selected>انتخاب کنید</option>');
	jQuery("#hm_car_toll_model_type_input").attr('disabled', 'disabled');
	jQuery('#hm_car_toll_model_type_input').find('option').remove().end().append('<option value="" disabled selected>انتخاب کنید</option>');
	
	//var get_tip_url = "https://manageweb.ir/p/hamrah/wp-json/vehicle/get_vehicle_tips_by_model/";//mohebi api
	var get_tip_url = "https://crmapi.hamrah-mechanic.com/api/GetVehicleTips?ModelGuid=";
	get_tip_url = get_tip_url + model_guid;
	jQuery.ajax({
		type: "get",
		method: "GET",
		headers: {
			'UserName':'get_user',
			'Password':'@getter',
		},
		url: get_tip_url ,
		//data: '{MakerID: ' + id + '}',
		contentType: "application/json; charset=utf-8",
		dataType: "json",
        beforeSend: function() {
			jQuery('.hmct_loading').show();
			jQuery('.hmct_loading').css('display','inline-block');
        }, 
		error: function(request, status, error) {
			jQuery('.hmct_loading').hide();
			console.log(request);
			console.log(status);
			console.log(error);
		},
        success: function(response) {
			jQuery('.hmct_loading').hide();
			//console.log(response);
			jQuery("#hm_car_toll_model_type_input").empty();
			jQuery("#hm_car_toll_model_type_input").append('<option value="" disabled selected>انتخاب کنید</option>');
			
			var tips_response = response;
			response = response.sort(function (a, b) {
				return a.TipName.localeCompare( b.TipName );
			});
			//var tips_response = JSON.parse(response);//wp
			
			jQuery.each(tips_response, function(key, value) {
				var new_option = '<option  value=' + value['TipCode'] + ' id="'+ value['TipGuid'] +'" >' + value['TipName'] + '</option>';
				jQuery("#hm_car_toll_model_type_input").append(new_option);
			});
			jQuery("#hm_car_toll_model_type_input").removeAttr('disabled');
			
        }
    });
	
	
});

jQuery("#hm_car_toll_model_type_input").live("change", function(){
	
	var tip_guid = jQuery('#hm_car_toll_model_type_input option:selected').attr('id');
	jQuery("#hm_car_toll_year_input").attr('disabled', 'disabled');
	jQuery('#hm_car_toll_year_input').find('option').remove().end().append('<option value="" disabled selected>انتخاب کنید</option>');

	
	//var get_year_url = "https://manageweb.ir/p/hamrah/wp-json/vehicle/get_vehicle_year_by_tip/";//mohebi api
	var get_year_url = "https://crmapi.hamrah-mechanic.com/api/GetVehiclesByTip?TipGuid=";
	get_year_url = get_year_url + tip_guid;
	/*
	jQuery.ajax({
		type: "get",
		method: "GET",
		headers: {
			'UserName':'get_user',
			'Password':'@getter',
		},
		url: get_year_url ,
		//data: '{MakerID: ' + id + '}',
		contentType: "application/json; charset=utf-8",
		dataType: "json",
        beforeSend: function() {
			jQuery('.hmct_loading').show();
			jQuery('.hmct_loading').css('display','inline-block');
        }, 
		error: function(request, status, error) {
			jQuery('.hmct_loading').hide();
			console.log(request);
			console.log(status);
			console.log(error);
		},
        success: function(response) {
			//jQuery('.hmct_loading').hide();
			//console.log(response);
			jQuery("#hm_car_toll_year_input").empty();
			jQuery("#hm_car_toll_year_input").append('<option value="" disabled selected>انتخاب کنید</option>');
			
			var the_vehicle = response;
			//var the_vehicle = JSON.parse(response);//wp
			
			jQuery.each(the_vehicle, function(key, value) {
				var new_option = '<option  value=' + value['VehicleCode'] + ' id="'+ value['VehicleGuid'] +'" >' + value['Year'] + '</option>';
				jQuery("#hm_car_toll_year_input").append(new_option);
			});
			jQuery("#hm_car_toll_year_input").removeAttr('disabled');
			
        }
    });
	*/
	
	
	
	jQuery.ajax({
		type: "post",
		method: "POST",
		headers: {
			'UserName':'get_user',
			'Password':'@getter',
		},
		url: this_site_url + '/wp-json/vehicle/calculate_car_toll',
		data: {
			action: 'hm_car_toll_ajax',
			'ajax_type': 'calculate_car_toll',
			'tip_guid': tip_guid,
		},
		//contentType: "application/json; charset=utf-8",
		dataType: "json",
        beforeSend: function() {
			jQuery('.hmct_loading').show();
			jQuery('.hmct_loading').css('display','inline-block');
        }, 
		error: function(request, status, error) {
			jQuery('.hmct_loading').hide();
			console.log(request);
			console.log(status);
			console.log(error);
		},
        success: function(response) {
			jQuery('.hmct_loading').hide();
			//jQuery('#hmct_ajax_response_target').show();
			if(response.status == 'car_found'){

				 var hmct_maliat_shomare_gozari = response.car.maliat_shomare_gozari;
				 var hmct_avarez_shomare_gozari = response.car.avarez_shomare_gozari;
				 var hmct_avarez_salianeh = response.car.avarez_salianeh;
				 
				 hmct_maliat_shomare_gozari = hmct_maliat_shomare_gozari.toString();
				 hmct_maliat_shomare_gozari = hmct_maliat_shomare_gozari.substring(0, hmct_maliat_shomare_gozari.length - 1);
				 hmct_maliat_shomare_gozari = Number(hmct_maliat_shomare_gozari);
			
				 hmct_avarez_shomare_gozari = hmct_avarez_shomare_gozari.toString();
				 hmct_avarez_shomare_gozari = hmct_avarez_shomare_gozari.substring(0, hmct_avarez_shomare_gozari.length - 1);
				 hmct_avarez_shomare_gozari = Number(hmct_avarez_shomare_gozari);
				 
				 hmct_avarez_salianeh = hmct_avarez_salianeh.toString();
				 hmct_avarez_salianeh = hmct_avarez_salianeh.substring(0, hmct_avarez_salianeh.length - 1);
				 hmct_avarez_salianeh = Number(hmct_avarez_salianeh);
				 
				 
				 jQuery('#hmct_maliat_shomare_gozari').text(hmct_maliat_shomare_gozari.toLocaleString()+' تومان');
				 jQuery('#hmct_avarez_shomare_gozari').text(hmct_avarez_shomare_gozari.toLocaleString()+' تومان');
				 jQuery('#hmct_avarez_salianeh').text(hmct_avarez_salianeh.toLocaleString()+' تومان');
				 
				 jQuery('.hm_car_toll_column_title').css('color', 'black');
				 jQuery('.hm_car_toll_column_price > div').css('color', 'black');
			}else{
				jQuery("#hmct_car_not_found").fadeIn().delay(5000).fadeOut();
				jQuery('#hmct_maliat_shomare_gozari').text('------- تومان ');
				jQuery('#hmct_avarez_shomare_gozari').text('------- تومان ');
				jQuery('#hmct_avarez_salianeh').text('------- تومان ');
				
				jQuery('.hm_car_toll_column_title').css('color', '#6d6d6d');
				jQuery('.hm_car_toll_column_price > div').css('color', '#6d6d6d');
			}
			//console.log(response);
			//jQuery('#hmct_ajax_response_target').append(JSON.stringify(response));
			
			
        }
    });
	
});



jQuery(document).on('change', '#hm_car_toll_main_inner #hm_car_toll_year_input', function (e) {
	
	
});




jQuery("div#hm_car_toll_main_inner select , div#hm_car_toll_main_inner input").live("click", function(){
	jQuery(this).removeClass("invalid");
});


jQuery("a#sub_req").click(function () {
	//shownav();
	//hm_submit();
});



