function hmct_validateForm() {
  // This function deals with validation of the form fields
  
  var x, y, i, valid = true;
 //برای فیلد های تکست
  jQuery('.hm_car_toll_add_new_form_class input').each(function(){
	  // this.value;
	  if( jQuery(this).val() == '' ||  !jQuery(this).val() ) {
		  jQuery(this).addClass("invalid");
		  valid = false;
	  } 
	});
  //برای فیلد های سلکت
  jQuery('.hm_car_toll_add_new_form_class select').each(function(){
	  // this.value;
	  if( jQuery(this).val() == '' ||  !jQuery(this).val() ) {
		  jQuery(this).addClass("invalid");
		  valid = false;
	  } 
	});
	  
  // If the valid status is true, mark the step as finished and valid:
  if (valid) {
	  //مارکر مراحل فرم 
	  //if(document.getElementsByClassName("step")[currentTab]){
		//	document.getElementsByClassName("step")[currentTab].className += " finish";
	  //}
  }
  return valid; // return the valid status
}

	





function hmct_get_from_api() {
	
	jQuery("#hm_car_toll_maker_input").attr('disabled', 'disabled');
	jQuery("#hm_car_toll_model_input").attr('disabled', 'disabled');
	jQuery("#hm_car_toll_model_type_input").attr('disabled', 'disabled');
	
    jQuery.ajax({
        type: "get",
		method: "GET",
		//url: "https://manageweb.ir/p/hamrah/wp-json/vehicle/get_all_vehicle_makers/1",//mohebi api
		url: "https://crmapi.hamrah-mechanic.com/api/GetAllVehicleMakers",
		headers: {
			'UserName':'get_user',
			'Password':'@getter',
		},
		contentType: "application/json; charset=utf-8",
		dataType: "json",
        beforeSend: function() {
			jQuery('.hmct_loading').show();
			jQuery('.hmct_loading').css('display','inline-block');
        }, 
		error: function(request, status, error) {
			jQuery('.hmct_loading').hide();
			console.log(request);
			console.log(status);
			console.log(error);
		},
        success: function(response) {
			jQuery('.hmct_loading').hide();
			
			//console.log(JSON.parse(response));
			all_vehicle_makers = response;
			response = response.sort(function (a, b) {
				return a.MakerName.localeCompare( b.MakerName );
			});
			
			//all_vehicle_makers = JSON.parse(response);
			jQuery.each(all_vehicle_makers, function(key, value) {
				var new_option = '<option  value=' + value['MakerCode'] + ' id="'+ value['MakerGuid'] +'" >' + value['MakerName'] + '</option>';
				jQuery("#hm_car_toll_maker_input").append(new_option);
			});
			jQuery("#hm_car_toll_maker_input").removeAttr('disabled');
			
			
        }
    });
}
jQuery("#hm_car_toll_maker_input").live("change", function(){
	
	 var maker_guid = jQuery('#hm_car_toll_maker_input option:selected').attr('id');
	//var id = jQuery(this).find("option:selected").attr("value");
	jQuery("#hm_car_toll_model_input").attr('disabled', 'disabled');
	jQuery('#hm_car_toll_model_input').find('option').remove().end().append('<option value="" disabled selected>انتخاب کنید</option>');
	jQuery("#hm_car_toll_year_input").attr('disabled', 'disabled');
	jQuery('#hm_car_toll_year_input').find('option').remove().end().append('<option value="" disabled selected>انتخاب کنید</option>');
	jQuery("#hm_car_toll_model_type_input").attr('disabled', 'disabled');
	jQuery('#hm_car_toll_model_type_input').find('option').remove().end().append('<option value="" disabled selected>انتخاب کنید</option>');
	var id = jQuery('#hm_car_toll_maker_input').val();
	//console.log(maker_guid);
	
	//var get_models_url = "https://manageweb.ir/p/hamrah/wp-json/vehicle/get_vehicle_models_by_maker/";//mohebi api
	var get_models_url = "https://crmapi.hamrah-mechanic.com/api/GetVehicleModels?MakerGuid=";
	get_models_url = get_models_url + maker_guid;
	jQuery.ajax({
		type: "get",
		method: "GET",
		headers: {
			'UserName':'get_user',
			'Password':'@getter',
		},
		url: get_models_url ,
		//data: '{MakerID: ' + id + '}',
		contentType: "application/json; charset=utf-8",
		dataType: "json",
        beforeSend: function() {
			jQuery('.hmct_loading').show();
			jQuery('.hmct_loading').css('display','inline-block');
        }, 
		error: function(request, status, error) {
			jQuery('.hmct_loading').hide();
			console.log(request);
			console.log(status);
			console.log(error);
		},
        success: function(response) {
			jQuery('.hmct_loading').hide();
			//console.log(response);
			jQuery("#hm_car_toll_model_input").empty();
			jQuery("#hm_car_toll_model_input").append('<option value="" disabled selected>انتخاب کنید</option>');
			
			response = response.sort(function (a, b) {
				return a.ModelName.localeCompare( b.ModelName );
			});
			
			vehicle_models = response;//convert string to obj
			//var vehicle_models = JSON.parse(response);//convert string to obj
			
			jQuery.each(vehicle_models, function(key, value) {
				var new_option = '<option  value=' + value['ModelCode'] + ' id="'+ value['ModelGuid'] +'" >' + value['ModelName'] + '</option>';
				jQuery("#hm_car_toll_model_input").append(new_option);
			});
			jQuery("#hm_car_toll_model_input").removeAttr('disabled');
			
			
        }
    });
	
});

jQuery("#hm_car_toll_model_input").live("change", function(){
	
	var model_guid = jQuery('#hm_car_toll_model_input option:selected').attr('id');
	jQuery("#hm_car_toll_year_input").attr('disabled', 'disabled');
	jQuery('#hm_car_toll_year_input').find('option').remove().end().append('<option value="" disabled selected>انتخاب کنید</option>');
	jQuery("#hm_car_toll_model_type_input").attr('disabled', 'disabled');
	jQuery('#hm_car_toll_model_type_input').find('option').remove().end().append('<option value="" disabled selected>انتخاب کنید</option>');
	
	//var get_tip_url = "https://manageweb.ir/p/hamrah/wp-json/vehicle/get_vehicle_tips_by_model/";//mohebi api
	var get_tip_url = "https://crmapi.hamrah-mechanic.com/api/GetVehicleTips?ModelGuid=";
	get_tip_url = get_tip_url + model_guid;
	jQuery.ajax({
		type: "get",
		method: "GET",
		headers: {
			'UserName':'get_user',
			'Password':'@getter',
		},
		url: get_tip_url ,
		//data: '{MakerID: ' + id + '}',
		contentType: "application/json; charset=utf-8",
		dataType: "json",
        beforeSend: function() {
			jQuery('.hmct_loading').show();
			jQuery('.hmct_loading').css('display','inline-block');
        }, 
		error: function(request, status, error) {
			jQuery('.hmct_loading').hide();
			console.log(request);
			console.log(status);
			console.log(error);
		},
        success: function(response) {
			jQuery('.hmct_loading').hide();
			//console.log(response);
			jQuery("#hm_car_toll_model_type_input").empty();
			jQuery("#hm_car_toll_model_type_input").append('<option value="" disabled selected>انتخاب کنید</option>');
			
			response = response.sort(function (a, b) {
				return a.TipName.localeCompare( b.TipName );
			});
			var tips_response = response;
			//var tips_response = JSON.parse(response);//wp
			
			jQuery.each(tips_response, function(key, value) {
				var new_option = '<option  value=' + value['TipCode'] + ' id="'+ value['TipGuid'] +'" >' + value['TipName'] + '</option>';
				jQuery("#hm_car_toll_model_type_input").append(new_option);
			});
			jQuery("#hm_car_toll_model_type_input").removeAttr('disabled');
			
        }
    });
	
	
});

jQuery("#hm_car_toll_model_type_input").live("change", function(){
	
	jQuery("#hm_car_toll_official_name").removeAttr('disabled');
	jQuery("#hm_car_toll_official_price").removeAttr('disabled');
	
});




jQuery("div#hm_car_toll_main_inner select , div#hm_car_toll_main_inner input").live("click", function(){
	jQuery(this).removeClass("invalid");
});



//اضافه کردن فاصه انداز بین هزار
(function($, undefined) {
	"use strict";
	// When ready.
	$(function() {
		var $form = $( "#hm_car_toll_add_new_form" );
		var $input = $form.find( "input#hm_car_toll_official_price" );
		$input.on( "keyup", function( event ) {
			// When user select text in the document, also abort.
			var selection = window.getSelection().toString();
			if ( selection !== '' ) {
				return;
			}
			// When the arrow keys are pressed, abort.
			if ( $.inArray( event.keyCode, [38,40,37,39] ) !== -1 ) {
				return;
			}
			var $this = $( this );
			// Get the value.
			var input = $this.val();
			var input = input.replace(/[\D\s\._\-]+/g, "");
					input = input ? parseInt( input, 10 ) : 0;
					$this.val( function() {
						return ( input === 0 ) ? "" : input.toLocaleString( "en-US" );
					} );
		} );
		/**
		 * ==================================
		 * When Form Submitted
		 * ==================================
		 */
		$form.on( "submit", function( event ) {
			//var $this = $( this );
			//var arr = $this.serializeArray();
			//for (var i = 0; i < arr.length; i++) {
			//		arr[i].value = arr[i].value.replace(/[($)\s\._\-]+/g, ''); // Sanitize the values.
			//};
			//console.log( arr );
			//event.preventDefault();
		});
		
	});
})(jQuery);




jQuery(document).ready(function() {
	jQuery("#add_new_car_to_db").click(function () {	

		if (!hmct_validateForm()) return false;
		
		var maker_guid = jQuery('#hm_car_toll_maker_input option:selected').attr('id');
		var maker_id = jQuery('#hm_car_toll_maker_input').val();
		var maker_name = jQuery('#hm_car_toll_maker_input option:selected').text();
		
		var model_guid = jQuery('#hm_car_toll_model_input option:selected').attr('id');
		var model_id = jQuery('#hm_car_toll_model_input').val();
		var model_name = jQuery('#hm_car_toll_model_input option:selected').text();
		
		var tip_guid = jQuery('#hm_car_toll_model_type_input option:selected').attr('id');
		var tip_id = jQuery('#hm_car_toll_model_type_input').val();
		var tip_name = jQuery('#hm_car_toll_model_type_input option:selected').text();
		
		var official_name = jQuery('#hm_car_toll_official_name').val();
		var official_price = jQuery('#hm_car_toll_official_price').val();
		
		jQuery.ajax({
			type: "post",
			method: "post",
			url: admin_ajax_url ,
			data: {
				action: 'hm_car_toll_ajax',
				'ajax_type': 'hm_car_toll_add_new_car_to_db',
				'maker_guid': maker_guid,
				'maker_id': maker_id,
				'maker_name': maker_name,
				'model_guid': model_guid,
				'model_id': model_id,
				'model_name': model_name,
				'tip_guid': tip_guid,
				'tip_id': tip_id,
				'tip_name': tip_name,
				'official_name': official_name,
				'official_price': official_price,
			},
			beforeSend: function() {
				jQuery('.hmct_loading').show();
				jQuery('.hmct_loading').css('display','inline-block');
			}, 
			error: function(request, status, error) {
				jQuery('.hmct_loading').hide();
				console.log(request);
				console.log(status);
				console.log(error);
			},
			success: function(response) {
				jQuery('.hmct_loading').hide();
				//console.log(response);
				
				//jQuery('#hm_car_toll_add_new_form')[0].reset();
				jQuery('#hm_car_toll_official_name').val('');
				jQuery('#hm_car_toll_official_price').val('');
				
				jQuery('#hmct_ajax_response_target').html(response);
				jQuery("#hmct_ajax_response_target").fadeIn().delay(5000).fadeOut();
				
				//رفرش جدول
				jQuery('div#hmct_result_section button.dt-button.hmct_refresh_button').click();
				
			}
		});
	
	});
});



jQuery(document).ready(function() {
	var editor; // use a global for the submit and return data rendering in the examples
	(function($, undefined) { 
		jQuery(document).ready(function() {
			
			//create a new button instance:
			//ما دکمه رفرش رو پایینتر  موقع ایجاد جدول در کنار بقیه دکمه ها میگزاریم
			$.fn.dataTable.ext.buttons.refresh = {
				text: 'رفرش',
				className: 'hmct_refresh_button',
			    action: function ( e, dt, node, config ) {
				  dt.clear().draw();
				  dt.ajax.reload();
				}
			};
			/*
			editor = new jQuery.fn.dataTable.Editor( {
				ajax: {
					
					edit: {
						type: 'POST',
						url:  this_site_url + '/wp-json/vehicle/update_selected_car',
					},
					remove: {
						type: 'POST',
						url:  this_site_url + '/wp-json/vehicle/delete_selected_car',
					}
				},
				table: "#hmct_result_car_table",
				fields: [ {
							label: "آیدی",
							name: "id",
							attr:{ disabled:true }
						}, {
							label: "سازنده",
							name: "hmct_maker_name",
							attr:{ disabled:true }
						}, {
							label: "مدل",
							name: "hmct_model_name",
							attr:{ disabled:true }
						}, {
							label: "تیپ",
							name: "hmct_tip_name",
							attr:{ disabled:true }
						}, {
							label: "نام معادل",
							name: "hmct_official_name"
						}, {
							label: "بهای فروش",
							name: "hmct_official_price"
						}, 
					],
				i18n: {
					
					create: {
						button: "Nouveau",
						title:  "Créer nouvelle entrée",
						submit: "Créer"
					},
					edit: {
						button: "ویرایش",
						title:  "ویرایش جزئیات",
						submit: "ذخیره"
					},
					remove: {
						button: "حذف",
						title:  "حذف",
						submit: "حذف",
						confirm: {
							_: "آیا شما از حذف %d مورد اطمینان دارید ؟",
							1: "آیا می خواهید حذف کنید ؟"
						}
					},
					error: {
						system: "خطایی پیش آمد"
					},
					datetime: {
						previous: 'قبلی',
						next:     'بعدی',
					}
				},
					
			} );
			
			*/
			
			//alert(this_site_url + '/wp-json/vehicle/get_all_registered_car_in_db');
			
			jQuery('#car_toll_loading_ajax_result_table').show();
			
			var car_table = $('#hmct_result_car_table').DataTable( {
				dom: "Bfrtip",
				ajax: this_site_url + '/wp-json/vehicle/get_all_registered_car_in_db',
				columns: [
					
					/*
					{ data: null, render: function ( data, type, row ) {
						// Combine the first and last names into a single table field
						//return data.first_name+' '+data.last_name;
						return data.id;
					} },
					*/
					{ data: "id" ,type: "readonly"},
					{ data: "hmct_maker_name" ,type: "readonly"},
					{ data: "hmct_model_name" ,type: "readonly"},
					{ data: "hmct_tip_name" ,type: "readonly"},
					{ data: "hmct_official_name" },
					{ data: "hmct_official_price", render: $.fn.dataTable.render.number( ',', '.', 0, '' ) }
				],
				//select: true,
				select: 'single',
				altEditor: true,
				
				"order": [[ 0, "desc" ]],
				"pageLength": 10,
				"lengthChange": true,
				"processing": true,
				"fnInitComplete": function(oSettings, json) {
					jQuery('#hmct_result_section').show();
					jQuery('#car_toll_loading_ajax_result_table').hide();
				},
				"language": {
					"lengthMenu": "نمایش _MENU_ رکورد",
					"zeroRecords": " ",
					"info": "نمایش صفحه _PAGE_ از _PAGES_",
					"infoEmpty": "هیچ رکوردی ثبت نشده است",
					"infoFiltered": "(filtered from _MAX_ total records)",
					"search": "",
					"processing": 'در حال بارگزاری <div id="car_toll_loading_ajax_result_table_inner" style="position: absolute;margin-top: -4px;" class="lds-dual-ring "></div>',
					"print": "چاپ",
					"delete": "حذف",
					"edit": "ویرایش",
					"row": "سطر",
					"altEditor" : {
						"modalClose" : "خروج",
						"edit" : {
							"title" : "ویرایش",
							"button" : "ذخیره"
						},
						"add" : {
							"title" : "افزودن",
							"button" : "افزودن"
						},
						"delete" : {
							"title" : "حذف",
							"button" : "حذف"
						},
						"success" : "موفق",
						"error" : {
							"message" : "خطایی رخ داد",
							"label" : "Errore",
							"responseCode" : "Response code:",
							"required" : "Valore obbligatorio",
							"unique" : "Valore duplicato"
						}
					},
					"paginate": {
						"first": "First",
						"last": "Last",
						"next": "بعدی",
						"previous": "قبلی"
					},
					 select: {
						rows: {
							_: "تعداد %d سطر انتخاب شده",
							0: "",
							1: ""
						},
					},
				},
				
				onDeleteRow: function(datatable, rowdata, success, error) {
					$.ajax({
						// a tipycal url would be /{id} with type='DELETE'
						type: 'POST',
						url:  this_site_url + '/wp-json/vehicle/delete_selected_car',
						data: rowdata,
						success: success,
						error: error
					});
				},
				onEditRow: function(datatable, rowdata, success, error) {
					
					$.ajax({
						// a tipycal url would be /{id} with type='POST'
						type: 'POST',
						url:  this_site_url + '/wp-json/vehicle/update_selected_car',
						data: rowdata,
						success: success,
						dataSrc: '',
						error: error
					});
				},
				buttons: [
					//{ extend: "edit",   editor: editor },
					//{ extend: "remove", editor: editor },
					{
						extend: 'selected', // Bind to Selected row
						text: 'ویرایش',
						name: 'edit'        // do not change name
					},
					{
						extend: 'selected', // Bind to Selected row
						text: 'حذف',
						name: 'delete'      // do not change name
					},
					{ extend: 'excel', text: 'خروجی اکسل' },
					"refresh",
				]
			} );
			
			car_table.on('page.dt', function() {
			  jQuery('html, body').animate({
				scrollTop: jQuery(".dataTables_wrapper").offset().top
			   }, 'slow');
			});
			
			
			
		} );
	})(jQuery);
});

